##### basic_signal_set::add (4 of 4 overloads)

Add a signal to a signal_set with the specified flags.

    void add(
        int signal_number,
        flags_t f,
        asio::error_code & ec);

This function adds the specified signal to the set. It has no effect if the signal is already in the set.

Flags other than `flags::dont_care` require OS support for the `sigaction` call, and this function will fail with `error::operation_not_supported` if this is unavailable.

The specified flags will conflict with a prior, active registration of the same signal, if either specified a flags value other than `flags::dont_care`. In this case, the `add` will fail with `error::invalid_argument`.

###### Parameters

signal_number

  The signal to be added to the set.

f

  Flags to modify the behaviour of the specified signal.

ec

  Set to indicate what error occurred, if any.